// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(Packages.com.silverwrist.dynamo.iface);
importPackage(Packages.com.silverwrist.dynamo.util);

req = bsf.lookupBean("request");           // get request
rhelp = bsf.lookupBean("request_help");    // get request helper
target = rhelp.getParameterString("tgt");  // get the target for this operation
if (target==null)
  target = "top.js.vs";
vlib.setOnError(req,target);

// Save the target string where we can find it again when we land after validating the login..
sess = rhelp.session;
sess.setObject("venice-sso:","target",target);

// Get the provider ID and pass it to SourceID's applet.
p = rhelp.getParameterString("provider");
rc = new ForwardToPath("/sso/authnRequest");
rc.setParameter("ProviderID",p);
rc.setParameter("IsPassive",cast.booleanObject(false));
rc.setParameter("ForceAuthn",cast.booleanObject(false));
rc.setParameter("Federate",cast.booleanObject(false));
rc.setParameter("Return.Success","/sourceid/login_sso_ok.js.vs");
rc.setParameter("Return.Failure","/sourceid/login_sso_fail.js.vs");
dynamo.scriptReturn(rc);
